SDL_BindGPUComputeSamplers(3)

NAME
SDL_BindGPUComputeSamplers - Binds texture-sampler pairs for use on the compute shader.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_BindGPUComputeSamplers(
    SDL_GPUComputePass *compute_pass,
    Uint32 first_slot,
    const SDL_GPUTextureSamplerBinding *texture_sampler_bindings,
    Uint32 num_bindings);

DESCRIPTION
The textures must have been created with SDL_GPU_TEXTUREUSAGE_SAMPLER.

Be sure your shader is set up according to the requirements documented in SDL_CreateGPUShader().

FUNCTION PARAMETERS

compute_pass
    a compute pass handle.

first_slot
    the compute sampler slot to begin binding from.

texture_sampler_bindings
    an array of texture-sampler binding structs.

num_bindings
    the number of texture-sampler bindings to bind from the array.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUShader(3)